diff --git a/contrib/scripts/get_ilbc_source.sh b/contrib/scripts/get_ilbc_source.sh
index 262218064065bb452357d0af3be14ab79d71c194..68e6d558d2fedda166287c262eca5953f625bc39 100755
--- a/contrib/scripts/get_ilbc_source.sh
+++ b/contrib/scripts/get_ilbc_source.sh
@@ -1,5 +1,14 @@
 #!/bin/sh -e
 
+if [ -f codecs/ilbc/iLBC_define.h ]; then
+    echo "***"
+    echo "The iLBC source code appears to already be present and does not"
+    echo "need to be downloaded."
+    echo "***"
+
+    exit 1
+fi
+
 echo "***"
 echo "This script will download the Global IP Solutions iLBC encoder/decoder"
 echo "source code from http://ilbcfreeware.org. Use of this code requires"
@@ -20,3 +29,5 @@ wget -P codecs/ilbc http://www.ilbcfreeware.org/documentation/extract-cfile.awk
 echo "***"
 echo "The iLBC source code download is complete."
 echo "***"
+
+exit 0